Class | Chef::Provider::Package::Apt
In: | lib/chef/provider/package/apt.rb
Parent: | Chef::Provider::Package

### Methods

check_package_state install_package load_current_resource preseed_package purge_package reconfig_package remove_package upgrade_package

### Included Modules

Chef::Mixin::ShellOut

### Attributes

is_virtual_package | [RW] |

### Public Instance methods

check_package_state(package)
install_package(name, version)
load_current_resource()
preseed_package(name, version)
purge_package(name, version)
reconfig_package(name, version)
remove_package(name, version)
upgrade_package(name, version)

[Validate]